Package de.gebit.integrity.ui.quickfix

## Class DSLQuickfixProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.quickfix.AbstractDeclarativeQuickfixProvider
  - - org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider
    - - de.gebit.integrity.ui.quickfix.DSLQuickfixProvider

- All Implemented Interfaces:
    `org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider`

      public class DSLQuickfixProvider
      extends org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider

  The quickfix provider.
  Author:
    Rene Schneider - initial API and implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider

      `org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider.CancelableResolutionAcceptor, org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider.CrossRefResolutionConverter`

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider

      `org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider.NullImpl`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLQuickfixProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `fixShortenableReference​(org.eclipse.xtext.validation.Issue anIssue, org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor anAcceptor)` | Allows for quick shortening of references.
    `void` | `fixUnusedImport​(org.eclipse.xtext.validation.Issue anIssue, org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor anAcceptor)` |

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider

      `createLinkingIssueResolutions, fixCrossReferenceImage, fixCrossReferenceLabel, getCancelableAcceptor, getCancelManager, getModificationContextFactory, getQualifiedNameConverter, getResolutions, getResolutionsForLinkingIssue, getScopeProvider, getSimilarityMatcher, getUnresolvedEReference, hasResolutionFor, queryScope`

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.quickfix.AbstractDeclarativeQuickfixProvider

      `collectMethods, getFixMethodPredicate, getFixMethods, getIssueResolutionAcceptorProvider, getResolutions, setIssueResolutionAcceptorProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSLQuickfixProvider

          public DSLQuickfixProvider()

  - ### Method Detail

    - #### fixShortenableReference

          public void fixShortenableReference​(org.eclipse.xtext.validation.Issue anIssue,
                                              org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor anAcceptor)

      Allows for quick shortening of references.
      Parameters:
        `anIssue` - the issue
        `anAcceptor` - the acceptor

    - #### fixUnusedImport

          public void fixUnusedImport​(org.eclipse.xtext.validation.Issue anIssue,
                                      org.eclipse.xtext.ui.editor.quickfix.IssueResolutionAcceptor anAcceptor)